/* */
call RxFuncAdd 'SysLoadFuncs', 'RexxUtil', 'SysLoadFuncs'
call SysLoadFuncs
call SysCls
pos = SysCurPos(5,0)
say 'Enter the target drive and directory then press <ENTER>'
PULL targdrv
say ' '
say 'Enter the source drive and directory then press <ENTER>'
PULL srcepath
say ' '
say 'Installing Alarm Pro in 'targdrv

call STARTINSTALL
call INSTALRMPRO
if UpGrade = 1 then call DBUPGRADE
   

say ' '
say 'Ŀ'
say '                                           '
say '         Alarm Pro INSTALLED               '
say '                                           '
say ' Be sure that the selected directory is in '
say ' your LIBPATH= statement or .\ is in the   '
say ' LIBPATH.  See your CONFIG.SYS file.       '
say '                                           '
say ''
exit





STARTINSTALL:
   call SysFileTree srcepath, 'file', 'D'
   if file.0 = 0 then do
       say 'Incorrect diskette in 'srcepath
       exit
       end

   call SysFileTree targdrv, 'file', 'D'
   if file.0 = 0 then do
      UpGrade = 0
      call CREATEPATH
      end
   else
      UpGrade = 1

return /* STARTINSTALL */

DBUPGRADE:
   do I = 1 to 5 by 1
      say ' '
      say 'Do you want APINST to run the Database Upgrade Utility?'
      say 'Press Y for yes or N for no'
      rc = SysGetKey()
      say ' '
      say ' '
      select
          when rc = 'Y' then do
               targd = substr(targdrv, 1, 2)
               Lngth = length(targdrv)
               Lngth = Lngth - 2
               targp = substr(targdrv, 3, Lngth)
               targd
               cd targp
               "apupgrad"
               return
             end  /* Do */
          when rc = 'y' then do
               targd = substr(targdrv, 1, 2)
               Lngth = length(targdrv)
               Lngth = Lngth - 2
               targp = substr(targdrv, 3, Lngth)
               targd
               cd targp
               "apupgrad"
               return
             end  /* Do */
          when rc = 'N' then return
          when rc = 'n' then return
          otherwise beep(454, 100)
      end  /* select */
   end /* do */
return


INSTALRMPRO:
   "@echo off"
   copy srcepath'\*.* 'targdrv
   settings='PROGTYPE=PM;EXENAME='targdrv'\ALRMPRO.EXE;OBJECTID=<ALRMPRO>;STARTUPDIR='targdrv
   call SysCreateObject 'WPProgram', 'Alarm Pro', '<WP_DESKTOP>', settings, 'REPLACE'
   echo on
return


CREATEPATH:

   do I = 1 to 5 by 1
      say ' '
      say 'Press Y to create the directory 'targdrv
      say 'Press N to end the install'
      rc = SysGetKey()
      say ' '
      say ' '
      select
          when rc = 'Y' then do
              rc = SysMkDir(targdrv)
              if rc \= 0 then do
                  say 'Error Creating 'targdrv
                  say 'Install Ended unsuccessfully'
                  beep(454, 100)
                  exit
                  end
              leave
          end  /* Do */
          when rc = 'y' then do
              rc = SysMkDir(targdrv)
              if rc \= 0 then do
                 say 'Error Creating 'targdrv
                 say 'Install Ended unsuccessfully'
                 beep(454, 100)
                 exit
                 end
              leave
          end  /* Do */
          when rc = 'N' then leave
          when rc = 'n' then leave
          otherwise beep(454, 100)
      end  /* select */
   end /* do */

return /* CREATEPATH */
